#!/bin/bash

#IFS_ex_4.sh

# Guardar o valor por defeito da variável IFS.
OLDIFS=$IFS

# Configurar o BASH para usar o sinal '+' como separador
# desta forma podemos separar os argumentos com o sinal '+'
IFS='+'

# Criar u array 'pessoadados' com os valores passados por argumento para o script
# separando o valores por '+'
read -a pessoadados <<< "$@"

# Tendo o array com os dados podemos usar a gosto no decorrer do script.

# O nome da pessoa passado por argumento
echo "Nome: ${pessoadados[0]}"

# Morada da pessoa passado por argumento
echo "Morada: ${pessoadados[1]}"

# O email da pessoa passado por argumento
echo "Email: ${pessoadados[2]}"

# Como já temos os nossos dados organizados podemos repor o valor da variável IFS
# com o seu valor por defeito para usar no resto do script.
IFS=$OLDIFS
